RESTBase adds duplicated `accept-language` entry in Vary header
Closed, ResolvedPublic

Description

We add accept-language entry in the Vary header for domains that use LanguageConverter and support language variants, but mobileapps also pass through the vary header they got from Parsoid, so we end up with duplicated accept-language strings in the header. We shouldn't completely remove the logic that adds the header since for content served from storage and stored before the language variants code was released we still need it.

Pchelolo created this task.Oct 17 2018, 8:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2018, 8:05 PM
mobrovac triaged this task as Normal priority.
bearND added a subscriber: bearND.Oct 18 2018, 3:39 AM

Wow, in the example one Accept-Language value is capitalized, the other all lower-case. Which way do we go with?

Wow, in the example one Accept-Language value is capitalized, the other all lower-case. Which way do we go with?

Doesn't really matter. We mostly use non-capitalized headers, but really, doesn't matter at all.

Pchelolo edited projects, added Services (doing); removed Services (later).

https://github.com/wikimedia/restbase/pull/1077 was merged. Let's wait for RB deployment to verify it works.

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-11-05T20:58:22Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@5b8ad3c]: Update deps, removed sections table, T207904 T206048 T207324

Mentioned in SAL (#wikimedia-operations) [2018-11-05T21:10:37Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@5b8ad3c]: Update deps, removed sections table, T207904 T206048 T207324 (duration: 12m 15s)

Mentioned in SAL (#wikimedia-operations) [2018-11-05T21:14:12Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@5b8ad3c]: Update deps, removed sections table, T207904 T206048 T207324 take 2

Mentioned in SAL (#wikimedia-operations) [2018-11-05T21:23:30Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@5b8ad3c]: Update deps, removed sections table, T207904 T206048 T207324 take 2 (duration: 09m 18s)

Pchelolo closed this task as Resolved.Nov 5 2018, 10:29 PM
Pchelolo edited projects, added Services (done); removed Services (doing).

fix has been deployed.